aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorCarl Dong <contact@carldong.me>2021-02-02 13:35:45 -0500
committerfanquake <fanquake@gmail.com>2021-07-07 19:30:47 +0800
commitd6ef3543ae16847d5a91fa9271acee9bd2164b32 (patch)
tree0987a2b0daabe0d730e85c2eb4d713fa80840fb5 /test
parent137f3b9ba3857b879e934a93847520ed91bc4eb2 (diff)
downloadbitcoin-d6ef3543ae16847d5a91fa9271acee9bd2164b32.tar.xz
lint: Run mypy with --show-error-codes
When using mypy ignore directives, the error code needs to be specified. Somehow mypy doesn't print it by default...
Diffstat (limited to 'test')
-rwxr-xr-xtest/lint/lint-python.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-python.sh b/test/lint/lint-python.sh
index 51815963f6..c448fa6f9a 100755
--- a/test/lint/lint-python.sh
+++ b/test/lint/lint-python.sh
@@ -102,7 +102,7 @@ if ! PYTHONWARNINGS="ignore" flake8 --ignore=B,C,E,F,I,N,W --select=$(IFS=","; e
EXIT_CODE=1
fi
-if ! mypy --ignore-missing-imports $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
+if ! mypy --ignore-missing-imports --show-error-codes $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
EXIT_CODE=1
fi